> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /opensky/states/search

> Find live aircraft state vectors within a geographic bounding box (or globally)

**Price:** 1 credit



## OpenAPI

````yaml /openapi/developer-data.json post /api/opensky/states/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/opensky/states/search:
    post:
      tags:
        - /opensky
      summary: /opensky/states/search
      description: >-
        Find live aircraft state vectors within a geographic bounding box (or
        globally)


        **Price:** 1 credit
      operationId: __api_opensky_states_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenskyStatesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenskyState'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenskyStatesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        lamin:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        lomin:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        lamax:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        lomax:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        extended:
          type: boolean
          default: false
      type: object
      required:
        - count
    OpenskyState:
      properties:
        '@type':
          type: string
          default: OpenskyState
        icao24:
          type: string
        callsign:
          anyOf:
            - type: string
            - type: 'null'
        origin_country:
          anyOf:
            - type: string
            - type: 'null'
        time_position:
          anyOf:
            - type: integer
            - type: 'null'
        last_contact:
          anyOf:
            - type: integer
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        baro_altitude:
          anyOf:
            - type: number
            - type: 'null'
        on_ground:
          anyOf:
            - type: boolean
            - type: 'null'
        velocity:
          anyOf:
            - type: number
            - type: 'null'
        true_track:
          anyOf:
            - type: number
            - type: 'null'
        vertical_rate:
          anyOf:
            - type: number
            - type: 'null'
        geo_altitude:
          anyOf:
            - type: number
            - type: 'null'
        squawk:
          anyOf:
            - type: string
            - type: 'null'
        spi:
          anyOf:
            - type: boolean
            - type: 'null'
        position_source:
          anyOf:
            - $ref: '#/components/schemas/OpenskyPositionSource'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/OpenskyAircraftCategory'
            - type: 'null'
      type: object
      required:
        - icao24
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenskyPositionSource:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
    OpenskyAircraftCategory:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
        - 20
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````